CorruptIndexException (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: CorruptIndexException

Package org.apache.lucene.index

# Class CorruptIndexException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.lucene.index.CorruptIndexException

All Implemented Interfaces:
  `Serializable`

public class CorruptIndexException extends IOException
This exception is thrown when Lucene detects an inconsistency in the index.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CorruptIndexException(String message, String resourceDescription)`
  Create exception with a message only
  `CorruptIndexException(String message, String resourceDescription, Throwable cause)`
  Create exception with message and root cause.
  `CorruptIndexException(String message, DataInput input)`
  Create exception with a message only
  `CorruptIndexException(String message, DataInput input, Throwable cause)`
  Create exception with message and root cause.
  `CorruptIndexException(String message, DataOutput output)`
  Create exception with a message only
  `CorruptIndexException(String message, DataOutput output, Throwable cause)`
  Create exception with message and root cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOriginalMessage()`
  Returns the original exception message without the corrupted file description.
  `String`
  `getResourceDescription()`
  Returns a description of the file that was corrupted

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CorruptIndexException

    public CorruptIndexException(String message, DataInput input)
    Create exception with a message only

  - ### CorruptIndexException

    public CorruptIndexException(String message, DataOutput output)
    Create exception with a message only

  - ### CorruptIndexException

    public CorruptIndexException(String message, DataInput input, Throwable cause)
    Create exception with message and root cause.

  - ### CorruptIndexException

    public CorruptIndexException(String message, DataOutput output, Throwable cause)
    Create exception with message and root cause.

  - ### CorruptIndexException

    public CorruptIndexException(String message, String resourceDescription)
    Create exception with a message only

  - ### CorruptIndexException

    public CorruptIndexException(String message, String resourceDescription, Throwable cause)
    Create exception with message and root cause.

- ## Method Details

  - ### getResourceDescription

    public String getResourceDescription()
    Returns a description of the file that was corrupted

  - ### getOriginalMessage

    public String getOriginalMessage()
    Returns the original exception message without the corrupted file description.